/**************************************************************************
 *                                                                        *
 * Wrapper functions for the nordugrid classes used by swig to create the *
 * appropriate bindings.                                                  *
 *                                                                        *
 *                                                                        *
 *                                                                        *
 **************************************************************************/

#ifndef WRAPPERS_H
#define WRAPPERS_H

#include <string>
#include <vector>

#include "Xrsl.h"
#include "MdsQuery.h"
#include "CertInfo.h"
#include "Environment.h"
//#include "../grid-manager/ui_uploader.h"

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


using namespace std;



/* Giis.h */
int GetGiis (const vector <string> giisurls,
             vector <Giis> & giislist);

/* MdsQuery.h */
void GetClusterInfo (vector <Cluster> & clusterlist,
                         int filter,
                         const string usersn,
                         bool anonymous,
                         int debug = 0,
                         int timeout = 40);

vector<Cluster> GetClusters (vector <Giis> giislist,
                                 const string usersn,
                                 bool anonymous,
                                 int debug = 0,
                                 int timeout = 40);

/*
 * Wrapper for submitting a job.
 */
string ui_upload_submit_job(string resource, string rsl, vector<string> filenames,
                            int debug = 0, int timeout = 40);

/*
 * Wrapper for canceling job.
 */
int ui_upload_cancel_job(string resource, string short_jobid,
                         int debug = 0, int timeout = 40);

/*
 * Wrapper for clean job.
 */
int ui_upload_clean_job(string resource, string short_jobid,
                         int debug = 0, int timeout = 40);

/*
 * Wrapper for proxy renewal.
 */
int ui_upload_renew_proxy(string resource, string short_jobid,
                          int debug = 0, int timeout = 40);


/* Wraps ../grid-manager/ui_download.h */
int ui_download(string url, bool recursive, string path, vector<string> filenames, 
	       bool download_files = true, bool remove_files = true, int debug = 0, 
	       int timeout = -1);




#endif // WRAPPERS_H
